datablock ParticleData(contrailParticle)
{
	windCoefficient		= 0;
	dragCoefficient		= 3;
	gravityCoefficient		= 1.0;
	inheritedVelFactor		= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 200;
	lifetimeVarianceMS		= 200;
	textureName		= "./gsfjetskispray";
	spinSpeed		= 0.0;
	spinRandomMin		= -90.0;
	spinRandomMax		= 90.0;
	colors[0]			= "1 1 1 1";
	colors[1]			= "0.5 0.5 0.5 0.5";
	colors[2]			= "0.7 0.7 0.7 0.7";
	sizes[0]			= 0.4;
	sizes[1] 			= 0.5;
	sizes[2]			= 0.55;
	times[0] 			= 0.1;
	times[1] 			= 0.2;
	times[2] 			= 0.4;
};
datablock ParticleEmitterData(contrailEmitter)
{
	ejectionPeriodMS 		= 1;
	periodVarianceMS 		= 0;
	ejectionVelocity 		= 40;
	velocityVariance 		= 5;
	ejectionOffset		= 0;
	thetaMin			= 1;
	thetaMax			= 2;
	phiReferenceVel  		= 0;
	phiVariance		= 360;
	overrideAdvance 		= false;
	particles 			= "contrailParticle";

	useEmitterColors 		= 0;

	uiName			= "";
};




datablock ShapeBaseImageData(ContrailImage1)
{
   shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 2;
   rotation = "1 0 0 -90";

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateTransitionOnTimeout[1]		= "Done";
	stateWaitForTimeout[1]			= True;
	stateTimeoutValue[1]			= 10000;
	stateEmitter[1]					= ContrailEmitter;
	stateEmitterTime[1]				= 10000;

	stateName[2]					= "Done";
	stateScript[2]					= "onDone";
};
function ContrailImage1::onDone(%this,%obj,%slot)
{
	%obj.unMountImage(%slot);
}

function contrailCheck(%obj)
{
//	return;
	if(!isObject(%obj))
		return;

	%speed = vectorLen(%obj.getVelocity());
	if(%speed < %obj.dataBlock.minContrailSpeed)
	{
		if(%obj.getMountedImage(3) !$= "")
		{
			%obj.unMountImage(2);
		}
	}
	else
	{
		if(%obj.getMountedImage(3) $= 0)
		{
			%obj.mountImage(contrailImage1,2);
		}
	}


	schedule(2000,0,"contrailCheck",%obj);
}